PostgreSQL

Обсуждение установки и настройки поддерживаемых серверов баз данных, а также работы с ними.
Аватара пользователя
ordex
Сообщения: 218
Зарегистрирован: Вт ноя 20, 2018 2:47 pm

Re: PostgreSQL

Сообщение ordex » Ср авг 14, 2019 4:00 pm

sbury писал(а):
Ср авг 14, 2019 3:57 pm
А какую вы версию хотите?
хотел потыкать misskey, там в требованиях ≥10

Akrobs
Сообщения: 272
Зарегистрирован: Чт сен 21, 2017 10:48 pm
Откуда: Saint-Petersburg
Контактная информация:

Re: PostgreSQL

Сообщение Akrobs » Сб сен 07, 2019 8:06 am

Я устанавливал из оф. репо PostgreSQL 11, на одном сервере с Brainy, работает без проблем. Конфликтов не заметил. Обновил руками phpPGAdmin, т.к. в ПУ он старый, он видит базы и отображает инфо. Единственный минус - надо все делать руками из консоли, создание БД, пользователи, привилегии и т.д.

Аватара пользователя
ordex
Сообщения: 218
Зарегистрирован: Вт ноя 20, 2018 2:47 pm

Re: PostgreSQL

Сообщение ordex » Сб сен 07, 2019 8:27 am

Не хотелось бы, и так часть софта собрана вручную или поставлена из оф реп, иногда, при обновлениях brainy, случается локальный адок. Впрочем всё равно не актуально, я уже поставил на сервер без brainy.

Аватара пользователя
sbury
Сообщения: 476
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: PostgreSQL

Сообщение sbury » Вс сен 08, 2019 5:41 pm

PostgreSQL 11 нормально не собирается gcc-4.8 , который есть основа в CentOS 7. Для него нужен минимум gcc-4.9.Собрать можно, но таблица ABI для его библиотек уже будет другой. Оно будет работать , на первый взгляд, но косяк вызова в библиоеках *.so уже будет присутствовать.

На счет 10, это реально. Сейчас переход на нее в стадии тестирования.

Ответить